--- suikyo-2.1.0.orig/debian/copyright
+++ suikyo-2.1.0/debian/copyright
@@ -0,0 +1,26 @@
+This package was debianized by Hidetaka Iwai <tyuyu@debian.or.jp> on
+Tue, 3 Jun 2003 06:43:34 +0900.
+
+It was downloaded from http://sourceforge.jp/projects/prime/
+
+Upstream Author: Hiroyuki Komatsu <komatsu@taiyaki.org>
+
+Copyright:
+
+ This package is free software; you can redistribute it and/or modify
+ it under the terms of the GNU General Public License as published by
+ the Free Software Foundation; version 2 dated June, 1991.
+
+ This package is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+ GNU General Public License for more details.
+
+ You should have received a copy of the GNU General Public License
+ along with this package; if not, write to the Free Software
+ Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
+ 02110-1301, USA.
+
+On Debian systems, the complete text of the GNU General
+Public License can be found in `/usr/share/common-licenses/GPL-2'.
+
--- suikyo-2.1.0.orig/debian/rules
+++ suikyo-2.1.0/debian/rules
@@ -0,0 +1,95 @@
+#!/usr/bin/make -f
+# Sample debian/rules that uses debhelper.
+# GNU copyright 1997 to 1999 by Joey Hess.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+# Include dpatch stuff.
+include /usr/share/dpatch/dpatch.make
+
+VERSION=`dpkg-parsechangelog | grep '^Version: ' | sed -e "s/^Version: //g"`
+
+configure: configure-stamp
+configure-stamp: patch
+ dh_testdir
+
+ ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --sysconfdir=/etc --with-rubydir=/usr/lib/ruby/1.8 --with-emacs-initdir=\$${prefix}/share/emacs/site-lisp/suikyo-elisp
+
+ sed -e "s/@VERSION@/$(VERSION)/g" debian/suikyo-elisp.emacsen-install.in > debian/suikyo-elisp.emacsen-install
+
+ touch configure-stamp
+
+build: configure-stamp build-stamp
+build-stamp:
+ dh_testdir
+
+ # Add here commands to compile the package.
+ $(MAKE)
+ #/usr/bin/docbook-to-man debian/suikyo-elisp.sgml > suikyo-elisp.1
+
+ touch build-stamp
+
+clean: clean1 unpatch
+
+clean1:
+ @echo "--- Cleaning"
+
+ dh_testdir
+ dh_testroot
+ rm -rf build-stamp configure-stamp debian/suikyo-elisp.emacsen-install
+ [ ! -f Makefile ] || $(MAKE) clean
+
+ dh_clean
+
+
+install: build
+ dh_testdir
+ dh_testroot
+ dh_prep
+ dh_clean
+ dh_installdirs
+
+ # Add here commands to install the package into debian/suikyo-elisp.
+
+ $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
+
+ dh_install --sourcedir=$(CURDIR)/debian/tmp
+
+# Build architecture-independent files here.
+binary-indep: build install
+ dh_testdir
+ dh_testroot
+ dh_installchangelogs ChangeLog
+ dh_installdocs -A
+ dh_installexamples
+# dh_install
+# dh_installmenu
+# dh_installdebconf
+# dh_installlogrotate
+ dh_installemacsen --priority=55
+# dh_installpam
+# dh_installmime
+# dh_installinit
+# dh_installcron
+# dh_installinfo
+# dh_installman
+# dh_link
+# dh_strip
+ dh_compress
+ dh_fixperms
+# dh_perl
+# dh_python
+# dh_makeshlibs
+ dh_installdeb
+ dh_shlibdeps
+ dh_gencontrol
+ dh_md5sums
+ dh_builddeb
+
+# Build architecture-dependent files here.
+binary-arch: build install
+
+ # Nothing to do...
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install patch unpatch clean1
--- suikyo-2.1.0.orig/debian/changelog
+++ suikyo-2.1.0/debian/changelog
@@ -0,0 +1,156 @@
+suikyo (2.1.0-3) unstable; urgency=low
+
+ * New maintainer. Taking over by sponsor, because I cannot contact to
+ former maintainer Hidetaka Iwai for months. (closes: Bug#540948)
+ * Acqknowledgment of NMU fix.
+ * Bumped Standards-Version to 3.8.3.0.
+ * debian/README.source: New file. Mentioned about dpatch.
+ * Fix lintian errors in debian/rules, control, and etc.
+
+ -- Masahito Omote <omote@debian.org> Sat, 23 Jan 2010 07:30:49 +0000
+
+suikyo (2.1.0-2.1) unstable; urgency=low
+
+ * Non-maintainer upload.
+ * debian/control: prefer more recent version of emacs in suikyo-elisp
+ alternative dependencies (Closes: #434925)
+ * debian/control: move debhelper to build-deps (from build-deps-indep),
+ as it is required upon clean
+
+ -- Stefano Zacchiroli <zack@debian.org> Sun, 20 Dec 2009 12:02:12 +0100
+
+suikyo (2.1.0-2) unstable; urgency=low
+
+ * debian/control: Added emacs-snapshot (closes: #333471)
+ * Bumped Standards-Version to 3.6.2.
+ * debian/copyright: Changed to new FSF address.
+
+ -- Hidetaka Iwai <tyuyu@debian.or.jp> Sat, 19 Nov 2005 19:51:55 +0900
+
+suikyo (2.1.0-1) unstable; urgency=low
+
+ * New upstream release
+
+ -- Hidetaka Iwai <tyuyu@debian.or.jp> Sun, 3 Apr 2005 07:18:00 +0900
+
+suikyo (2.0.1.2-1) unstable; urgency=low
+
+ * New upstream release
+
+ -- Hidetaka Iwai <tyuyu@debian.or.jp> Sun, 23 Jan 2005 18:16:28 +0900
+
+suikyo (2.0.1-1) unstable; urgency=low
+
+ * New upstream release
+
+ -- Hidetaka Iwai <tyuyu@debian.or.jp> Wed, 12 Jan 2005 18:51:55 +0900
+
+suikyo (2.0.0.1-1) unstable; urgency=low
+
+ * New upstream release
+
+ -- Hidetaka Iwai <tyuyu@debian.or.jp> Sat, 18 Dec 2004 21:42:14 +0900
+
+suikyo (2.0.0-1) unstable; urgency=low
+
+ * New upstream release
+
+ -- Hidetaka Iwai <tyuyu@debian.or.jp> Sun, 12 Dec 2004 01:24:48 +0900
+
+suikyo (1.3.3-2) unstable; urgency=low
+
+ * debian/control: Added dependencies on xemacs21-gnome-mule
+ and xemacs21-gnome-mule-canna-wnn (closes: #270046).
+
+ -- Hidetaka Iwai <tyuyu@debian.or.jp> Wed, 8 Sep 2004 02:24:05 +0900
+
+suikyo (1.3.3-1) unstable; urgency=low
+
+ * New upstream release
+
+ -- Hidetaka Iwai <tyuyu@debian.or.jp> Wed, 1 Sep 2004 02:44:18 +0900
+
+suikyo (1.3.2-1) unstable; urgency=low
+
+ * New upstream release
+
+ -- Hidetaka Iwai <tyuyu@debian.or.jp> Sun, 29 Feb 2004 23:49:54 +0900
+
+suikyo (1.3.1-2) unstable; urgency=low
+
+ * debian/control: emacs20 is no longer an official package, so
+ I removed the dependency on it. (Closes: Bug#232795)
+
+ -- Hidetaka Iwai <tyuyu@debian.or.jp> Sun, 15 Feb 2004 18:42:15 +0900
+
+suikyo (1.3.1-1) unstable; urgency=low
+
+ * New upstream release
+ * README.Debian: Add notice about setup of suikyo-elisp suggested by
+ Akira Yamada <akira@arika.org>. Thanks.
+
+ -- Hidetaka Iwai <tyuyu@debian.or.jp> Tue, 3 Feb 2004 06:45:55 +0900
+
+suikyo (1.3.0-1) unstable; urgency=low
+
+ * New upstream release
+
+ -- Hidetaka Iwai <tyuyu@debian.or.jp> Sun, 11 Jan 2004 00:37:32 +0900
+
+suikyo (1.2.1-2) unstable; urgency=low
+
+ * debian/control: New maintainer with previous maintainer's agreement.
+ * First upload to Debian. Close wnpp bug. (Closes: Bug#226476)
+
+ -- Hidetaka Iwai <tyuyu@debian.or.jp> Thu, 8 Jan 2004 20:15:49 +0900
+
+suikyo (1.2.1-1) unstable; urgency=low
+
+ * New upstream release.
+ * Reconstruct package.
+
+ -- Hidetaka Iwai <tyuyu@debian.or.jp> Fri, 2 Jan 2004 12:40:46 +0900
+
+suikyo (1.2.0-2) unstable; urgency=low
+
+ * Fixed suikyo table path due to upstream's versionup.
+
+ -- Yasuhito Takamiya <takamiya@matsulab.is.titech.ac.jp> Wed, 4 Jun 2003 22:48:33 +0900
+
+suikyo (1.2.0-1) unstable; urgency=low
+
+ * New upstream release.
+
+ -- Yasuhito Takamiya <takamiya@matsulab.is.titech.ac.jp> Tue, 3 Jun 2003 21:12:39 +0900
+
+suikyo (1.1.1-3) unstable; urgency=low
+
+ * Fixed a packaging bug (suikyo-table-path in suikyo-config.rb and suikyo-config.rb).
+ * /usr/share/doc/suikyo/doc/{ruby,elisp} -> /usr/share/doc/suikyo/html/{ruby,elisp}.
+ * doc-basenized.
+
+ -- Yasuhito Takamiya <takamiya@matsulab.is.titech.ac.jp> Thu, 15 May 2003 11:10:38 +0900
+
+suikyo (1.1.1-2) unstable; urgency=low
+
+ * Fixed a packaging bug.
+
+ -- Hiroyuki Komatsu <komatsu@taiyaki.org> Tue, 13 May 2003 17:09:45 +0900
+
+suikyo (1.1.1-1) unstable; urgency=low
+
+ * New Upstream Version.
+
+ -- Hiroyuki Komatsu <komatsu@taiyaki.org> Wed, 7 May 2003 01:42:53 +0900
+
+suikyo (1.1.0cvs20030425-1) unstable; urgency=low
+
+ * New Upstream Version.
+
+ -- Hiroyuki Komatsu <komatsu@taiyaki.org> Fri, 25 Apr 2003 02:25:14 +0900
+
+suikyo (1.0.1cvs20030408-1) unstable; urgency=low
+
+ * Initial Release.
+
+ -- Yasuhito Takamiya <takamiya@matsulab.is.titech.ac.jp> Thu, 10 Apr 2003 15:49:07 +0900
--- suikyo-2.1.0.orig/debian/README.source
+++ suikyo-2.1.0/debian/README.source
@@ -0,0 +1,5 @@
+This package uses dpatch for managing all modifications to the upstream source
+code. See /usr/share/doc/dpatch/README.source.gz for more details on how to
+use them.
+
+-- Masahito Omote <omote@debian.org>, Sat, 23 Jan 2010 13:10:00 +0900
--- suikyo-2.1.0.orig/debian/README.Debian
+++ suikyo-2.1.0/debian/README.Debian
@@ -0,0 +1,11 @@
+suikyo-elisp for Debian
+---------------
+
+ * Setup suikyo-elisp
+
+ There is no need to setup, though official documents suggests to add
+ "(require 'init-suikyo)" to your $HOME/.emacs. Because debian
+ package of suikyo-elisp has its own debian-startup file
+ (/etc/emacs/site-start.d/55suikyo-elisp.el) and configured automatically.
+
+ -- Hidetaka Iwai <tyuyu@debian.or.jp>, Tue Feb 3 07:15:29 2004
--- suikyo-2.1.0.orig/debian/suikyo-table.install
+++ suikyo-2.1.0/debian/suikyo-table.install
@@ -0,0 +1 @@
+/usr/share/suikyo/conv-table/*
--- suikyo-2.1.0.orig/debian/libsuikyo-ruby1.8.install
+++ suikyo-2.1.0/debian/libsuikyo-ruby1.8.install
@@ -0,0 +1 @@
+/usr/lib/ruby/1.8/suikyo/*.rb
--- suikyo-2.1.0.orig/debian/suikyo-elisp.install
+++ suikyo-2.1.0/debian/suikyo-elisp.install
@@ -0,0 +1,2 @@
+/usr/share/emacs/site-lisp/suikyo/* usr/share/emacs/site-lisp/suikyo-elisp/
+/usr/share/emacs/site-lisp/suikyo-elisp/init-suikyo.el
--- suikyo-2.1.0.orig/debian/suikyo-elisp.dirs
+++ suikyo-2.1.0/debian/suikyo-elisp.dirs
@@ -0,0 +1,2 @@
+usr/share/emacs/site-lisp/suikyo-elisp/
+
--- suikyo-2.1.0.orig/debian/docs
+++ suikyo-2.1.0/debian/docs
@@ -0,0 +1,4 @@
+AUTHORS
+README
+doc/index.html
+
--- suikyo-2.1.0.orig/debian/control
+++ suikyo-2.1.0/debian/control
@@ -0,0 +1,36 @@
+Source: suikyo
+Section: text
+Priority: optional
+Maintainer: Masahito Omote <omote@debian.org>
+Build-Depends: debhelper (>> 7), dpatch
+Standards-Version: 3.8.3.0
+
+Package: libsuikyo-ruby1.8
+Architecture: all
+Section: ruby
+Depends: ${misc:Depends}, libruby1.8, suikyo-table
+Description: Romaji Hiragana conversion library (ruby-binding)
+ Suikyo is a Romaji Hiragana conversion library based on
+ DFA (Deterministic finate state) automaton.
+ .
+ This package contains ruby1.8 binding of suikyo.
+
+Package: suikyo-elisp
+Architecture: all
+Section: lisp
+Depends: ${misc:Depends}, emacs23 | emacs22 | emacs21 | emacs-snapshot | xemacs21-mule | xemacs21-mule-canna-wnn | xemacs21-gnome-mule | xemacs21-gnome-mule-canna-wnn | emacsen, suikyo-table
+Description: Romaji Hiragana conversion library (elisp binding)
+ Suikyo is a Romaji Hiragana conversion library based on
+ DFA (Deterministic finate state) automaton.
+ .
+ This package contains elisp binding of suikyo
+
+Package: suikyo-table
+Architecture: all
+Section: text
+Depends: ${misc:Depends}
+Description: Romaji Hiragana conversion library (conversion table)
+ Suikyo is a Romaji Hiragana conversion library based on
+ DFA (Deterministic finate state) automaton.
+ .
+ This package contains a conversion table for suikyo.
--- suikyo-2.1.0.orig/debian/compat
+++ suikyo-2.1.0/debian/compat
@@ -0,0 +1 @@
+7
--- suikyo-2.1.0.orig/debian/suikyo-elisp.emacsen-startup
+++ suikyo-2.1.0/debian/suikyo-elisp.emacsen-startup
@@ -0,0 +1,20 @@
+;; -*-emacs-lisp-*-
+;;
+;; Emacs startup file for the Debian suikyo-elisp package
+;;
+;; Originally contributed by Nils Naumann <naumann@unileoben.ac.at>
+;; Modified by Dirk Eddelbuettel <edd@debian.org>
+;; Adapted for dh-make by Jim Van Zandt <jrv@vanzandt.mv.com>
+
+;; The suikyo-elisp package follows the Debian/GNU Linux 'emacsen' policy and
+;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
+;; xemacs19, emacs20, xemacs20...). The compiled code is then
+;; installed in a subdirectory of the respective site-lisp directory.
+;; We have to add this to the load-path:
+(setq load-path (cons (concat "/usr/share/"
+ (symbol-name flavor)
+ "/site-lisp/suikyo-elisp") load-path))
+
+(require 'init-suikyo)
+
+
--- suikyo-2.1.0.orig/debian/suikyo-elisp.emacsen-install.in
+++ suikyo-2.1.0/debian/suikyo-elisp.emacsen-install.in
@@ -0,0 +1,83 @@
+#! /bin/sh -e
+# /usr/lib/emacsen-common/packages/install/suikyo-elisp
+
+FLAVOR=$1
+VERSION=@VERSION@
+PACKAGE=suikyo-elisp
+
+if [ "X${FLAVOR}" = "X" ]; then
+ echo "Need argument to determine FLAVOR of emacsen"
+ exit 1
+fi
+if [ "X${PACKAGE}" = "X" ]; then
+ echo "Internal error: need package name"
+ exit 1
+fi
+if [ "X${FLAVOR}" = Xemacs ]; then exit 0; fi
+if [ "X${FLAVOR}" = Xemacs19 ]; then exit 0; fi
+if [ "X${FLAVOR}" = Xmule2 ]; then exit 0; fi
+
+# FLAVOR_SUFFIX determines -mule or -nomule
+FLAVOR_SUFFIX=`echo ${FLAVOR} | cut -s -d - -f 2`
+# FLAVORTEST determines emacs* or xemacs*
+FLAVORTEST=`echo ${FLAVOR} | cut -c-6`
+
+if [ "X${FLAVORTEST}" = "Xxemacs" ]; then
+# FLAVOR_BODY determines xemacs20 or xemacs21
+ FLAVOR_BODY=`echo ${FLAVOR} | cut -d - -f 1`
+ if [ "X${FLAVOR_SUFFIX}" = "Xmule" ]; then
+ EMACSEN_MULE=`ls /usr/bin/${FLAVOR_BODY}*-mule* 2>/dev/null | head -1`
+ if [ -n "${EMACSEN_MULE}" ]; then
+ EMACSEN_MULE=`basename ${EMACSEN_MULE}`
+ fi
+ elif [ "X${FLAVOR_SUFFIX}" = "Xnomule" ]; then
+ exit 0
+ else
+ EMACSEN_MULE=`ls /usr/bin/${FLAVOR}*-mule* 2>/dev/null | head -1`
+ if [ -n "${EMACSEN_MULE}" ]; then
+ EMACSEN_MULE=`basename ${EMACSEN_MULE}`
+ fi
+ fi
+else
+ EMACSEN_MULE=${FLAVOR}
+fi
+if [ -z "${EMACSEN_MULE}" ]; then exit 0; fi
+
+EMACSEN=${EMACSEN_MULE}
+ELDIR=/usr/share/emacs/site-lisp/${PACKAGE}
+ELCDIR=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}
+FLAGS="${SITEFLAG} -q -batch -l path.el -f batch-byte-compile"
+STAMP="${ELCDIR}/compile-stamp"
+
+LOG=CompilationLog
+
+echo -n "install/${PACKAGE}: Handling install for emacsen flavor ${FLAVOR}..."
+if [ -e "${STAMP}" ]; then
+ if [ "X${VERSION}" = X"$(cat ${STAMP})" ]; then
+ echo " skipped. (already compiled)"
+ exit 0
+ else
+ rm -f ${STAMP}
+ fi
+fi
+
+rm -rf ${ELCDIR}
+install -m 755 -d ${ELCDIR}
+cd ${ELDIR}
+FILES=$(echo *.el)
+cp ${FILES} ${ELCDIR}
+cd ${ELCDIR}
+
+cat << EOF > path.el
+(setq load-path (cons "." load-path) byte-compile-warnings nil)
+EOF
+${EMACSEN} ${FLAGS} ${FILES} > ${LOG} 2>&1
+gzip -9 ${LOG}
+
+rm -f *.el path.el
+
+echo "${VERSION}" > ${STAMP}
+chmod 644 ${STAMP}
+
+echo " done."
+exit 0
--- suikyo-2.1.0.orig/debian/suikyo-elisp.emacsen-remove
+++ suikyo-2.1.0/debian/suikyo-elisp.emacsen-remove
@@ -0,0 +1,15 @@
+#!/bin/sh -e
+# /usr/lib/emacsen-common/packages/remove/suikyo-elisp
+
+FLAVOR=$1
+PACKAGE=suikyo-elisp
+
+if [ ${FLAVOR} != emacs ]; then
+ if test -x /usr/sbin/install-info-altdir; then
+ echo remove/${PACKAGE}: removing Info links for ${FLAVOR}
+ install-info-altdir --quiet --remove --dirname=${FLAVOR} /usr/info/suikyo-elisp.info.gz
+ fi
+
+ echo remove/${PACKAGE}: purging byte-compiled files for ${FLAVOR}
+ rm -rf /usr/share/${FLAVOR}/site-lisp/${PACKAGE}
+fi
--- suikyo-2.1.0.orig/debian/patches/10_adapt_debian_emacs_policy.dpatch
+++ suikyo-2.1.0/debian/patches/10_adapt_debian_emacs_policy.dpatch
@@ -0,0 +1,38 @@
+#!/bin/sh -e
+## 10_adapt_debian_emacs_policy.dpatch by Hidetaka Iwai <tyuyu@debian.or.jp>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+if [ $# -lt 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+case "$1" in
+ -patch) patch $patch_opts -p1 < $0;;
+ -unpatch) patch $patch_opts -p1 -R < $0;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad /home/tyuyu/debworks/suikyo/suikyo-1.3.1/elisp/etc/_init-suikyo.el.in suikyo-1.3.1/elisp/etc/_init-suikyo.el.in
+--- /home/tyuyu/debworks/suikyo/suikyo-1.3.1/elisp/etc/_init-suikyo.el.in 2003-06-03 02:36:21.000000000 +0900
++++ suikyo-1.3.1/elisp/etc/_init-suikyo.el.in 2004-02-03 07:21:28.000000000 +0900
+@@ -8,9 +8,6 @@
+ ;;;; You can redistribute it and/or modify it under the terms of
+ ;;;; the GNU General Public License version 2.
+
+-(setq load-path
+- (cons (expand-file-name (concat "@emacs_sitelisp_dir@"
+- "/@PACKAGE@")) load-path))
+ (defconst @PACKAGE@-version '("@VERSION@" "@DATE@"))
+
+ (provide '@SUIKYOEL_FEATURE_NAME@)